## Interface for a checker
#
# This class emulates an interface for a checker.
#
# All checkers are subclasses of IChecker. 
#
class IChecker( object ):
    ## perform check, raise a CheckerException if error occured
    #
    # @param arg a collecting parameter: put here all you need to perform check
    # 
    def check(self, arg=""):
        pass
