from pyRepetUnit.hmmer.hmmOutput.HmmOutputProcessing import HmmOutputProcessing
import pyRepetUnit.commons.utils.HmmOutputUtils
import pyRepetUnit.hmmer.hmmOutput.HmmpfamOutput

class HmmpfamOutputProcessing (HmmOutputProcessing):
    
    """
    Concrete implementation for specific methods
    """
    
    #--------------------------------------------------------------------------
    def __init__(self):
        self.hmmOutputUtils = pyRepetUnit.commons.utils.HmmOutputUtils.HmmOutputUtils()
    
    
    #--------------------------------------------------------------------------
    def readHmmOutput( self, hmmpfamOutputFile ):
        """
        read an output from hmmpfam and return a array with results useful to build a .align file
        """
        tabResult = pyRepetUnit.hmmer.hmmOutput.HmmpfamOutput.HmmpfamOutput()
        tabResult = self.hmmOutputUtils.readHmmpfamOutput( hmmpfamOutputFile )
        return tabResult
    
    #--------------------------------------------------------------------------
if __name__ == "__main__":                 
    main()     