from pyRepetUnit.hmmer.hmmOutput.HmmOutputProcessing import HmmOutputProcessing
import pyRepetUnit.commons.utils.HmmOutputUtils
import pyRepetUnit.hmmer.hmmOutput.HmmscanOutput

class HmmscanOutputProcessing (HmmOutputProcessing):
    
    """
    Concrete implementation for specific methods
    """
    
    #--------------------------------------------------------------------------
    def __init__(self):
        self.hmmOutputUtils = pyRepetUnit.commons.utils.HmmOutputUtils.HmmOutputUtils()
    
    
    #--------------------------------------------------------------------------
    def readHmmOutput( self, hmmscanOutputFile ):
        """
        read an output from hmmscan and return a array with results useful to build a .align file
        """
        tabResult = pyRepetUnit.hmmer.hmmOutput.HmmscanOutput.HmmscanOutput()
        tabResult = self.hmmOutputUtils.readHmmscanOutput( hmmscanOutputFile )
        return tabResult
    
    #--------------------------------------------------------------------------
if __name__ == "__main__":                 
    main()     