import pyRepetUnit.hmmer.hmmOutput.HmmpfamOutputProcessing
import pyRepetUnit.commons.IDataProcessor

class HmmpfamOutput2align ( pyRepetUnit.commons.IDataProcessor.IDataProcessor ):

    '''
    data processor : read an output from hmmpfam and transform it into .align file
    '''
    #--------------------------------------------------------------------------

    def __init__(self):
        self.hmmpfamOutputProcess = pyRepetUnit.hmmer.hmmOutput.HmmpfamOutputProcessing.HmmpfamOutputProcessing()
        self._inputFile = "" 
        self._outputFile =  ""    
        
    #--------------------------------------------------------------------------    
        
    def setInputFile(self, input):
         self._inputFile = input
         
    #--------------------------------------------------------------------------

    def setOutputFile(self, output):
         self._outputFile = output   
        
    #--------------------------------------------------------------------------
        
    def run( self ):
        """
        read a hmmpfam output file, parse it and, write the corresponding .align file
        """
        self.hmmpfamOutputProcess.readHmmOutputsAndWriteAlignFile( self._inputFile, self._outputFile )
        
if __name__ == "__main__":                 
    main() 