'''
Created on 22 avr. 2009

@author: choede
'''

import pyRepetUnit.hmmer.hmmOutput.HmmscanOutputProcessing
import pyRepetUnit.commons.IDataProcessor

class HmmscanOutput2align ( pyRepetUnit.commons.IDataProcessor.IDataProcessor ):
    '''
    data processor : read an output from hmmscan and transform it into .align file
    '''
#--------------------------------------------------------------------------

    def __init__(self):
        self.hmmscanOutputProcess = pyRepetUnit.hmmer.hmmOutput.HmmscanOutputProcessing.HmmscanOutputProcessing()
        self._inputFile = "" 
        self._outputFile =  ""    
        
    #--------------------------------------------------------------------------    
        
    def setInputFile(self, input):
         self._inputFile = input
         
    #--------------------------------------------------------------------------

    def setOutputFile(self, output):
         self._outputFile = output   
        
    #--------------------------------------------------------------------------
        
    def run( self ):
        """
        read a hmmscan output file, parse it and, write the corresponding .align file
        """
        self.hmmscanOutputProcess.readHmmOutputsAndWriteAlignFile( self._inputFile, self._outputFile )
        
if __name__ == "__main__":                 
    main